Skip site navigation (1) Skip section navigation (2)

Re: pg_restore

From: Tom Lane <tgl(at)sss(dot)pgh(dot)pa(dot)us>
To: Marco Rossi <swmrrossi(at)yahoo(dot)com>
Cc: pgsql-novice(at)postgresql(dot)org
Subject: Re: pg_restore
Date: 2006-03-03 00:25:54
Message-ID: 16229.1141345554@sss.pgh.pa.us (view raw or flat)
Thread:
Lists: pgsql-novice
Marco Rossi <swmrrossi(at)yahoo(dot)com> writes:
> I'm trying to import a db from one server to my local machine. 
> I have a mismatch betweek server pg_dump (8.0.3) and my machine pg_restore vesion (7.4.7).

In general you're going to have lots of problems trying to back-port a
dump file to an earlier major release --- there are almost always things
in the dump file that the older server won't take.  So even if you got
past the pg_restore error check you'd still be facing issues.

Is there a good reason you aren't running a more modern Postgres
release?

			regards, tom lane

In response to

Responses

pgsql-novice by date

Next:From: Michael FuhrDate: 2006-03-03 06:29:26
Subject: Re: delay of function
Previous:From: Tom LaneDate: 2006-03-03 00:23:01
Subject: Re: [NOVICE] pg_config --pgxs

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group